.\" 
.TH "Pebl" "1" "" "" ""
.SH "NAME"
pebl \- Python Environment for Bayesian Learning
.SH "SYNOPSIS"
.B pebl <action> [<action parameters>]
.RI 
.br 
.SH "DESCRIPTION"
.B Pebl
is a Python library and command line application for learning the structure of a Bayesian network given prior knowledge and observations.
.PP 
Pebl includes the following features:
  . Can learn with observational and interventional data
  . Handles missing values and hidden variables using exact and heuristic methods
  . Provides several learning algorithms; makes creating new ones simple
  . Has facilities for transparent parallel execution using several cluster/grid resources
  . Calculates edge marginals and consensus networks
  . Presents results in a variety of formats
.PP 
.SH "OPTIONS"
.B run
.I <configfile>        
    Runs pebl based on params in config file.

.B runtask
.I <picklefile>    
    Unpickles the file and calls run() on it.
    <picklefile> should be a a pickled learner or task.

.B viewhtml
.I <resultfile> <outputdir>  
    Creates a html report of the results.
    <resultfile> should be a pickled pebl.result.
    <outputdir> is where the html files will be placed.
    It will be created if it does not exist.
.br 
.SH "AUTHOR"
Pebl was written by Abhik Shah <abhikshah@gmail.com>
.PP 
This manual page was written by Miriam Ruiz <miriam@debian.org>,
for the Debian project (but may be used by others).
